Bug 895384 (CVE-2013-0184)

Summary: CVE-2013-0184 rubygem-rack: Rack::Auth::AbstractRequest DoS
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athomas, bkabrda, bkearney, bleanhar, cpelland, dajohnso, esammons, iboverma, jeckersb, jialiu, jneedle, jrusnack, katello-bugs, katello-internal, lmeyer, mcressma, mfisher, mmccune, mmcgrath, mmorsi, morazi, mrg-program-list, msuchy, sclewis, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120504,reported=20130114,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/rubygem-rack=affected,epel-all/rubygem-rack=affected,mrg-2/rubygem-rack=affected,openshift-1/rubygem-rack=affected,openshift-enterprise-1/rubygem-rack=wontfix,cloudformscommon-1/rubygem-rack=wontfix,sam-1/rubygem-rack=affected,openshift-enterprise-1/rubygem193-rack=wontfix,cwe=CWE-400
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-24 16:25:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 771152, 895285, 895397, 895398, 895400, 895401, 995678, 1165363    
Bug Blocks: 892883, 895284, 906653    

Description Kurt Seifried 2013-01-15 07:24:46 UTC
A flaw that was fixed in 1.4.4, 1.3.9, 1.2.7, and 1.1.5 was also announced [4]
that creates a minor denial of service condition, this time in the 
Rack::Auth::AbstractRequest, where it symbolized arbitrary strings (apparently
this has something to do with authentication, but there is no further 
information provided other than the fix [5] itself, which is noted as "a 
breaking API change").

[4] https://groups.google.com/forum/#!topic/rack-devel/ImYOqcGiksw/discussion
[5] https://github.com/rack/rack/commit/0c76175fcccad74ba2f991c487d3669c28a297c8

Comment 1 Kurt Seifried 2013-01-15 07:52:33 UTC
Created rubygem-rack tracking bugs for this issue

Affects: fedora-all [bug 895285]

Comment 2 Kurt Seifried 2013-01-15 07:53:40 UTC
Created rubygem-rack tracking bugs for this issue

Affects: epel-all [bug 771152]

Comment 8 Vít Ondruch 2013-01-15 13:44:56 UTC
Kurt, what is this patch about? Where did you got it? It seems to be reverse patch of the last patches in each branch in rack repository.

Comment 9 Vít Ondruch 2013-01-15 13:48:41 UTC
This [1] is the right fix for 1.4 I would say


[1] https://github.com/rack/rack/commit/87df8796a6e4555ec8fd3817c419c6b44b7ca459

Comment 10 John Eckersberg 2013-01-16 16:31:50 UTC
To Vit's comment#9, this appears to be the patch for 1.3

https://github.com/rack/rack/commit/89f6fc8ff3c72a8304de4561b36b65ae4cc8e20a

Comment 11 Fedora Update System 2013-01-25 21:34:17 UTC
rubygem-rack-1.3.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-25 21:37:42 UTC
rubygem-rack-1.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-01-25 21:43:53 UTC
rubygem-rack-1.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2013-02-21 19:05:43 UTC
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0548 https://rhn.redhat.com/errata/RHSA-2013-0548.html

Comment 15 errata-xmlrpc 2013-02-21 19:21:39 UTC
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0544 https://rhn.redhat.com/errata/RHSA-2013-0544.html